using System.Collections.Generic;

namespace Quadarax.Foundation.Core.Data.Interface.Entity.Dto
{
    public abstract class ResultDto : Result, IDto
    {

        protected ResultDto() : base() { }

        public ResultDto(IEnumerable<IError> errors) : base(isSuccess: false, errors) { }

        public ResultDto(bool isSuccess, IEnumerable<IError>? errors) : base(isSuccess, errors) { }


        /// <summary>
        /// <inheritdoc cref="IResult.GetValue()"/>
        /// </summary>
        /// <returns></returns>
        public new abstract object? GetValue();
    }
}
